> For the complete documentation index, see [llms.txt](https://docs.buildings.ability.abb/collection/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.buildings.ability.abb/collection/german-14.2-freezed/apps/apps/electricity-maps.md).

# Electricity maps

Die Electricity Maps App stellt Eliona Echtzeitdaten zum Stromnetz von Electricity Maps zur Verfügung, einschließlich CO₂-Intensität und Anteil erneuerbarer Energien für verschiedene geografische Zon

![App-Schema](https://raw.githubusercontent.com/eliona-smart-building-assistant/electricity-maps-app/refs/heads/develop/schema.png)

### Installation

Installieren Sie die Electricity Maps App über den Eliona App Store.

### Konfiguration

#### Registrierung bei Electricity Maps

1. Erstellen Sie ein Konto unter [Electricity Maps](https://www.electricitymaps.com/)
2. Abonnieren Sie den passenden API-Tarif (kostenlose Version für grundlegende Nutzung in einer Region verfügbar)
3. Generieren Sie einen API-Schlüssel in Ihren Kontoeinstellungen und speichern Sie ihn für die Eliona-Konfiguration

#### Konfiguration der Electricity Maps App

Konfigurationen können in Eliona unter `Einstellungen > Apps > Electricity Maps` erstellt werden, was die App-Oberfläche [Generic Frontend](https://doc.eliona.io/collection/v/eliona-english/manuals/settings/apps) öffnet. Verwenden Sie den Konfigurationsendpunkt mit der PUT-Methode.

Die Konfiguration erfordert folgende Daten:

| Attribut        | Beschreibung                                                                  | Erforderlich         |
| --------------- | ----------------------------------------------------------------------------- | -------------------- |
| apiKey          | Electricity Maps API-Schlüssel aus dem vorherigen Schritt                     | Ja                   |
| enable          | Flag zum Aktivieren/Deaktivieren dieser Konfiguration                         | Ja                   |
| refreshInterval | Intervall in Sekunden für die Datensynchronisation (mindestens 300 empfohlen) | Ja                   |
| requestTimeout  | API-Abfrage-Timeout in Sekunden                                               | Nein (Standard: 120) |
| projectIDs      | Liste der Eliona Projekt-IDs für die Datenerfassung                           | Ja                   |

Beispiel-Konfigurations-JSON:

```json
{
  "apiKey": "Ihr-API-Schlüssel",
  "enable": true,
  "refreshInterval": 900,
  "requestTimeout": 120,
  "projectIDs": [
    "10"
  ]
}
```

### Asset-Erstellung

Nach der Konfiguration erstellt die App einen Asset-Typ `Electricity Zone`. Sie können mehrere Assets dieses Typs erstellen, die jeweils eine geografische Zone repräsentieren, die überwacht werden soll.

### Konfiguration von Electricity Zone Standorten

1. Erstellen Sie ein neues Asset vom Typ `Electricity Zone`
2. Klicken Sie auf die Bearbeitungsschaltfläche des Assets
3. Setzen Sie im Abschnitt "Weitere Informationen" den Zonen-Identifier (z.B. "CH" oder "Switzerland" für die Schweiz, "DE" oder "Germany" für Deutschland)
4. Speichern Sie die Asset-Konfiguration
5. Aktualisieren Sie die Seite, um zu überprüfen, ob die App die Zone korrekt identifiziert hat

Das Asset wird dann mit Stromnetzdaten befüllt:

| Attribut                 | Beschreibung                                     | Einheit    |
| ------------------------ | ------------------------------------------------ | ---------- |
| carbon\_intensity        | CO₂-Intensität des Stromverbrauchs               | gCO₂eq/kWh |
| renewable\_percentage    | Anteil erneuerbarer Energien am Stromverbrauch   | %          |
| fossil\_free\_percentage | Anteil fossiler-freier Energie am Stromverbrauch | %          |

### App-Statusüberwachung

Die App erstellt ein Root-Asset namens "Electricity Maps Root", das Informationen über den Status der App bereitstellt:

* Asset-Status: Aktiv/Inaktiv zeigt an, ob die App läuft
* Status-Attribut: Zeigt den aktuellen Betriebsstatus. Wenn der App-Status nicht "OK" ist, deutet dies darauf hin, dass die App möglicherweise nicht richtig funktioniert. Wenn der Fehlerzustand anhält, lassen Sie es uns wissen, indem Sie einen Fehlerbericht einreichen.

### Anwendungsfälle

Die Electricity Maps App ermöglicht:

* Echtzeitüberwachung der CO₂-Intensität des Stromnetzes
* Verfolgung des Anteils erneuerbarer Energien
* Optimierung des Energieeinkaufs
* ESG-Berichterstattung und Nachhaltigkeitsverfolgung
* Lastmanagementstrategien basierend auf der Netzzusammensetzung
* CO₂-bewusste Lastverlagerung


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.buildings.ability.abb/collection/german-14.2-freezed/apps/apps/electricity-maps.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
